# Method: accounts.creatives.watch

- [HTTP request](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives/watch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives/watch#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives/watch#body.request_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives/watch#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives/watch#body.response_body)
- [Authorization Scopes](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives/watch#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.creatives/watch#try-it)

Watches a creative. Will result in push notifications being sent to the topic when the creative changes status.

### HTTP request

`POST https://adexchangebuyer.googleapis.com/v2beta1/accounts/{accountId}/creatives/{creativeId}:watch`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `accountId` | `string` The account of the creative to watch. |
| `creativeId` | `string` The creative ID to watch for status changes. Specify "-" to watch all creatives under the above account. If both creative-level and account-level notifications are sent, only a single notification will be sent to the creative-level notification topic. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "topic": string } ``` |

| Fields ||
|---|---|
| `topic` | `string` The Pub/Sub topic to publish notifications to. This topic must already exist and must give permission to [ad-exchange-buyside-reports@google.com](mailto:ad-exchange-buyside-reports@google.com) to write to the topic. This should be the full resource name in "projects/{project_id}/topics/{topic_id}" format. |

### Response body

If successful, the response body is empty.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adexchange.buyer`